
10/7/90
Released v1.76

Fixed a bug in the search function that could cause the comments for the
first 8 commented files in a database to be overwritten under certain
circumstances.


10/4/90
Fixed a bug in the replace function that could at times could keep the 
existing comment from being kept - this was observed in the case of
individually commented files within archives.


9/30/90
Released v1.75

Modified LogiCat with the new BBS type listing to automatically turn off
flagging of duplicate records while the BBS list is printed.

Fixed a minor bug in the duplicate report where the value of the Flag
Duplicate Records prompt on the main screen would not be updated properly
after printing the dup report (note that it was shown properly when edited).


9/16/90
Fixed a problem where LogiCat would prompt the user if a comment should 
be replaced while importing even though the old and new comments appeared
to be identical to the user.


9/14/90
Added new options to the Report Options screen that allow you to specify
the max width of the field along with the field gap (the number of spaces
between fields).  Reports can now be created a little more like some users
have asked for.

Added a new report called "BBS type listing".  This report is a printout in
the basic format of a PCBoard DIR listing.  Using this option along with the
correct field width specifications you can create a PCB dir from a LogiCat
Database.  What this means is that you sysops can log your download disk, 
import comments from the BBS list(s) where you obtained the files, and then
output a PCB dir list without having to type *any* of the comments manually!

NOTE:  In most cases you should leave the COMMENTS and KEYWORDS field width
set to zero for automatic.  If you specify a length the field will be 
truncated.  For the BBS listing it is important to leave comments set at
a width of zero so LogiCat can display the full comment using word wrap.

The following settings are important if you desire to create a PCB file
directory with LogiCat:

	Lines Per Page:		0
	Left Margin:		0
	Right Margin:		78
	Action For a Newline:	CRLF
	File Name Width:	0 or 12
	File Size:		7
	Modification Date:	0 or 8
	Comment Width:		0
	Field Gap:		2

Note that when you choose the BBS type listing the fields printed will 
always be:  File name, File size, File Date, Comments - No matter what 
fields you have the options set for.  This listing is currently only 
useful for PCB type directories.

It should also be noted that the field width for most of the fields used
on the volume report can not be specified by the user at this time.  Only
those that appear on the Report Options screen can have a user specified 
width.

As a typical example of how a sysop might use this:

  1)  Sysop downloads files from another board to a special
      directory setup to receive downloaded files.

  2)  Sysop captures the file listing from the board the files were
      downloaded from to get the "descriptions".  (This 
      listing can be prepared with CT if needed - CT.ZIP is available
      on many boards including the LogiCat support BBS).

  3)  Using the DOS SUBST command specify a logical drive to
      refer to the subdirectory by.

  4)  Using LogiCat the sysop would LOG the drive defined by SUBST, import
      comments from the file listing, set the parameters as defined above
      for the field widths, etc., and finally, tell LogiCat to print the
      BBS report to a disk file.  From there the only difference between
      the newly created file and a PCB files list is there will be a two
      line header on the LogiCat file - delete that and you have a PCB
      file list with virtually NO typing on your part!
      

9/9/90
Fixed a bug that would cause LogiCat to give an error when trying to save
the configuration file under certain conditions when SHARE.EXE is used.

Added some hotkeys that allow the user to easily get to some of the menu
choices without having to go through the bar style menus.  The hotkeys
added as listed on the menu items when viewed, however, for reference 
they are as follows:  (The ^ listed means to press CONTROL with the listed
key)

	^L - Log floppy disks
	^M - Log multi-drives
	^C - Add comments
	^R - Replace a disk
	^D - Delete a disk
	^B - Browse files
	^S - String search
	^V - Volume report
	^F - File/Ext report
	^Q - Quick file/ext report
	^O - Catalog options
	^I - Import comments

Note that these hotkeys are only valid when you are in the menus.  Pressing
the keys listed above from *any* of the pulldown menus (or bar menu) will
select the listed option without having to first go to the proper secondary
menu.  (Unlike the ALT-Z hotkey for a DOS shell that is valid *anywhere*!).


9/8/90
Modified the logicat used in the import utility to always read the options 
from disk if the file specified changed (previously this was only done the
first time through, so changing the file to another name was a quick way
to duplicate the options to a new setup file.  This is no longer done
in the import utility).

Modified the import utility to display a pick list when you type a wildcard
in either of the filenames you're prompted for.  NOTE:  When you type a
wildcard character the file and ext specified are ignored, however, the drive
and dir (if present) will be used to determine which directory to view.


9/8/90
Released v1.74


9/7/90
After lingering around trying to get TC++ 1.0 to work I got patches today
that finally fix things so LogiCat is workable under the TC++ 1.0 compiler.
So, once again, LogiCat is now back to being compiled with TC++ 1.0.
v2.0 will be developed with TC++.


9/3/90
Modified the comment import utility to only read the specified file the
first time through, after that the file will be modified with the 
settings typed in (this avoided problems with the settings being changed
each time the file was read when the user didn't intend it).

Modified the comment import utility to only prompt if the comment should
be replaced (when ASK mode is on) if the new comment is different than the
old comment.

Fixed a bug that would cause the archive library names to be out of whack
under the right circumstances.


7/9/90
I've found that TC++ 1.0 is too buggy to use for LogiCat (or any other
halfway complex program for that matter).  Back to TC 2.0 until Borland
gets it together.


6/7/90
Brought LogiCat up under TC++ 1.0.  Future versions will be compiled under
the new compiler.


6/3/90
Started dual development on LogiCat.  v2.0 is now in the works, however,
any reported bugs will be fixed from v1.73. 

	
6/2/90
Added an option to LogiCat to allow users to have LogiCat prompt for the
comments immediately after each disk is logged/replaced.

Cleaned up the case sensitive vs case insensitive searches in LogiCat.

Added a NEXT option for the search - Press N to find the next match from
any place that you would normally be allowed to initiate a search.  Pressing
N to find the next match invokes the normal search if you haven't searched
for something before.

Modified the search functions to BEEP when wrapping around past the end of
file (or beginning of file if searching backwards).

Modified the report when output is directed to the screen to only allow
ESCape to quit out of the report (this way users will no longer be able
to accidently go past the end of the report).  Pressing a key to advance
past the end causes a beep now.


5/26/90
Released v1.73


5/24/90
Modified LogiCat to allow use of the file pick list from any prompt that
requests a file to read.  Now from the prompt in the comment import
screen for file names you can invoke the pick list by typing a wild card
in the name.  All future prompts that request a file name to read (not write)
will allow use of the pick list if a wildcard is in the name you type.  Note
that where possible I will automatically pull up the pick list (you can
always manually specify the name by choosing the <type it in> option!).

Fixed the import utility to avoid re-reading the settings file if the user
goes through the screen several times when creating a new setting file
the first time through.


5/23/90
Fixed what should be the last of the problems using LogiCat under a network/
share environment.  (This was a continuation of the work done on 5/1/90).

Modified the import utility to allow the ignore extension option to cause
descriptions of files without extensions to be imported (providing a
library extension is defined consisting of spaces!).


5/2/90
Added a popup file pick list to all prompts asking for the name of a file
to read.  (By popular request!).  Checkout the pick list.

Modified the code to force the configuration extension to be .CFG - different
extensions for a configuration file are no longer supported in LogiCat.


5/1/90
Fixed a bug in the backup routine that caused the popup window to not leave
the screen when the database is backed up while the user was modifying
comments.

Completely worked through the code and cleaned things up internally to
make LogiCat compile well at the highest warning level available.

Fixed a problem with LogiCat under DOS 4.01 SHARE having to do with
leaving the "VOLUME LABEL" open.  Thanks to Randy Martin for taking
the time to track down the solution to this problem and letting me know
about it.


4/18/90
Made first of several possible modifications to allow LogiCat to work in 
a software system designed for the blind.

Fixed a bug in the dummy entry code in LogiCat.

Released V1.72


4/12/90
Fixed a bug that kept LogiCat from using an existing label as the disk name
when optioned to do so.  This was a bug brought on by some of the changes in
version 1.7.

Released V1.71


4/8/90
Switched from high level I/O for the main DB reading/writing to low level
functions I wrote to avoid a suspected bug in the high level Turbo C I/O
functions.

Added code to detect an error on output of the database, allowing an
option to retry writing the db (ALT-Z could be used to drop to DOS and
fix the problem unless the disk is too full to even use ALT-Z based on the
memory setting you configured).

Modified the code to reflect my new address.

Released V1.7


3/4/90
Finally found and fixed the last of the elusive replace a disk bugs.
This took care of the last condition that wasn't accounted for when
replacing a disk with comments and/or keywords on it.


2/24/90
Added a popup list of disk names.  This list can be accessed by anyone who
simply presses return without typing anything at one of the prompts for the
disk name.  All menu options that allow you to add/replace/delete/rename
disks support the new popup.


2/19/90
Modified the volume report to print the comments on the same line as the
keywords if possible.

Modified the comments to print a space before hand so preceding keywords
would be seperated.


2/18/90
Modified the import utility to keep it from going to the "default" settings
when you typed the name of a setting file that doesn't exist.

Modified the import utility to create the settings file immediately after
asking if the user wants to create the file (instead of after finished 
importing).


2/17/90
Tracked down an elusive bug in the import that caused LogiCat to miss
a comment under the right circumstances.  Thanks to Richard Streeter for
providing excellent documentation that allowed this bug to be tracked down.

Added code to the DOS shell to put the screen back in 43/50 line mode if 
the user shells out while viewing a report to the screen in 43 line mode.
This insures that the screen is corrected if the user shells and changes 
the video mode while shelled.

Added the name of the database to the header of reports.


Released v1.5

2/16/90
Changed the name of the "Printer options" to "Report Options" on the
Options submenu.

Added code to get rid of the line length limit of 511 characters in the
import utility.  The import utility can now handle importing files with
an unlimited line length (although you can't specify to look at fields
past column 999).

Added code to trim trailing spaces from imported comments.


2/12/90
Got rid of a phantom comment attached to the disk name under certain 
conditions when replacing a disk.

Cleaned up code making changes to insure Disk name is treated as a case
sensitive field.

Modified the import comments utility to only ignore the extension of a file
if it is one of the configured library file extensions.  Both the file
in the data base, and the file attached to the comment must have an
extension that is configured, or LogiCat will expect an exact match on
extension.

Fixed the hour on the report to display 12 instead of 0 when a report is
printed during the noon hour.

Fixed a minor bug where LogiCat asked if you wanted to abort without saving
changes if the last file that you modified comments/keywords for was the
very last file in the buffer.

Modified the import utility to recognize blank comments and ignore them
instead of allowing blank comments to be imported.


1/30/90
Fixed a couple of minor bugs.  One was with the use of the volume label,
under certain circumstances the options wouldn't work properly.  That 
should be cleared now.

Fixed a bug that was encountered when only 1 subdirectory was in the 
data base.  LogiCat wouldn't recognize a data base if there was only 1
subdirectory in it (note that this bug was limited to v1.31 and v1.32).
The subdir bug was caused by the changes made on 1/23/90.  Note that the
database wasn't corrupt, but LogiCat thought it was.  The new version will
read the older data bases without problems.

Added an option to LogiCat to allow the import utility to ignore the file
extension.

Added an error message when LogiCat tried to read a config file, but the
amount of data expected was less than normal (i.e. the file is either
corrupt, not a config file, or in an old format).

Added a utility program to the registered version of LogiCat that will
upgrade older version of files to the new version format.  This utility
will not be made available except to registered users.

Released v1.33 to registered users.


1/29/90
Previous versions of LogiCat automatically printed a blank line between
files if comments and/or keywords were present and printed for the file.
Now there is a double space option in the printer options screen.  When 
set LogiCat double spaces the entire report.

Added an option that allows the user to specify whether LogiCat should
prompt for the report dest at report time.  When set to YES, this option
causes LogiCat to prompt whether you want output to go to the SCREEN, or
to the report destination.  This will work regardless of which printer
name you use.

Changed the initial menu to allow any shift combination along with the
main menu letter pop that menu.  If you have a submenu on the screen, and
the submenu uses the letter pressed, the submenu item will be selected.
To avoid this use the ALT letter key to indicate you want to select a 
NEW submenu.  If you press a key that doesn't have an associated menu 
item, LogiCat will still popup the options menu as before (if a submenu
isn't already on the screen).


1/28/90
Added code for an ASK option for the expansion of ARChives, and pulling in
comments from ARChives.  If you have either option set to ASK, LogiCat will
popup a box and ask if you want to expand each archive.  This allows the 
user to select the files to expand on a one-by-one basis.

Fixed a minor bug in the expansion of ARChives when multi-drives were
being used instead of the old method.  LogiCat read the configured drive
for the archive file when trying to expand.

Released v1.32 for registered users.


1/23/90
Added a minor fix to set the "updated data base" flag when comments or
keywords were deleted/changed.

Refined the way subdirectories are handled.  This included how they are
read, and printed.  LogiCat automatically determines the width of the
subdirectory field based on the largest subdirectory that is in the file.
This logic was carried over to reading existing data bases so the subdir
field wouldn't get truncated to a smaller width than it should be if the
data base read had a dir that is longer than one catloged in the session.

Released v1.31 for registered users.


1/22/90
I'd like to offer special thanks to George Hawkins who found and reported a
problem he encountered in replacing a disk (I probably wouldn't have found
it without his find indicating how it occurred).  The only change made
was fixing the bug reported to me earlier today.

Released version 1.3


1/21/90
Released version 1.2


1/20/90
Added code to discard trailing spaces in the disk name.  A user of LogiCat
was having problems deleting a specified disk because the original name was
typed with trailing spaces in it.  LogiCat will now avoid this possible 
problem.

Added code to automatically uppercase the disk name if it will be written
as a volume label, since the resulting volume label is upper case.  This 
makes it so reading the same disk again will cause LogiCat to ask if you
want to replace the disk (providing you have it set to use an existing label
as the name).


1/19/90
Added code to block adding data bases to the floppy drive.  A hard drive
is now required to use LogiCat.

Added multi-drive support (the ability to use more than just two 
logging drives) by popular demand.  Now LogiCat has options that allow
you to enter the drive letter to log/replace each time by choosing the
multi-drive option from the appropriate menu.  For users who don't desire
to do this, the other options work like they always have.

Added code to automatically adjust the number of files allocated upward
if possible to overcome problems with running out of files when logging 
the disk.  Note that once memory runs out this operation will fail, and 
an error will be printed advising the user doesn't have enough files 
configured.

Added code to automatically adjust the number of disks allocated if 
needed.  (Now all items have automatic adjustment available!)

Fixed a very minor bug that wouldn't let you adjust memory usage for an
item to the exact amount that was currently needed.  For example, if you
had 1000 files in memory, and requested to adjust the max files to 1000
LogiCat would advise you needed to clear the data base in memory first
(adjusting to 1001 or above was required).

Added code to block setting any of the colors to the same foreground
and background colors.


1/18/90
Added code to automatically adjust the number of directories upward when 
you log a disk that causes the number of directories to go above the maximum
configured value.  This will overcome problems if you've got enough memory
left to do it.

Fixed a minor bug when the maximum number of directories is reached (and
can't be adjusted due to a memory shortage).  Previously an error message 
would be displayed, and then when the user pressed a key, LogiCat would 
continue logging the disk.  The problem was that each time it tried to add
a new file the error would be displayed (although this caused no real harm
other than being annoying and a pain in the neck).  Now LogiCat will
automatically detect it has sent the error message once, and won't send it
again during the same session.

Added code to LogiCat to display a different cursor when in insert mode
than it does when in overwrite mode.  The cursor in insert mode is a normal
cursor while the overwrite mode cursor is a block cursor.

Released Version 1.11 (to registered users only)


1/14/90
Fixed a minor bug with pressing F10 when you're editing the comment for the
last file in memory.  Previously if you pressed F10 when editing the comment
of the last file and then pressed ESCape, LogiCat would ask if you wanted
to abort changes (even though they were already saved).

Fixed a bug with the creation of a comment data base.  Previously 
if you logged a disk (to a new data base) and then edited comments before
saving the data base, the comment data base header wasn't written, so
LogiCat wouldn't read the data base next time you started the program
(couldn't read the comment data base, the other data base was fine).

Fixed a bug that caused memory to become corrupted under certain
conditions when the backup option was turned on.  The error was caused 
by an undetected stack overflow.

Released Version 1.1


1/10/90
Fixed a bug in the comment editor that caused snow on a CGA.  In addition
the comment editor was the only part of LogiCat that wasn't DesqView
aware, changes were made to make the comment editor DV aware.


1/7/90
Version 1.0 was released.
